log4j.rootLogger=INFO,stdout, common-error

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d %p [%c{1}] - %m%n


log4j.appender.common-error=org.apache.log4j.DailyRollingFileAppender
log4j.appender.common-error.file=${user.home}/logs/ylcm-error.log
log4j.appender.common-error.layout=org.apache.log4j.PatternLayout
log4j.appender.common-error.threshold=ERROR
log4j.appender.common-error.layout.ConversionPattern=%d %p [%c{1}] - %m%n

log4j.appender.ip=org.apache.log4j.DailyRollingFileAppender
log4j.appender.ip.file=${user.home}/logs/slcm-ip.log
log4j.appender.ip.layout=org.apache.log4j.PatternLayout
log4j.appender.ip.layout.ConversionPattern=%d %p [%c{1}] - %m%n

log4j.appender.sql=org.apache.log4j.DailyRollingFileAppender
log4j.appender.sql.file=${user.home}/logs/slcm-ip.log
log4j.appender.sql.layout=org.apache.log4j.PatternLayout
log4j.appender.sql.layout.ConversionPattern=%d %p [%c{1}] - %m%n

log4j.appender.common-info=org.apache.log4j.DailyRollingFileAppender
log4j.appender.common-info.file=${user.home}/logs/common-info.log
log4j.appender.common-info.layout=org.apache.log4j.PatternLayout
log4j.appender.common-info.layout.ConversionPattern=%d %p [%c{1}] - %m%n


log4j.logger.com.yaozhitech.mapper=WARN,sql
log4j.logger.com.yaozhitech.service=WARN,sql
log4j.logger.com.yaozhitech.controller=WARN,sql
log4j.logger.com.yaozhitech.interceptor=WARN,ip
log4j.logger.com.yaozhitech=WARN,common-info